@import url('https://fonts.googleapis.com/css2?family=Press+Start+2P&family=Shrikhand&display=swap');

@font-face {
  font-family: Virgil;
  src: url("../../../assets/fonts/Virgil.woff2") format("woff");
}

:root {
  --stroke-color: black;
}

.reveal {
  font-family: sans-serif;
  background-color: white;
  color: black;
  font-size: 3vh;
  padding: 0 !important;
  width: 100vw;
  height: calc(100vh - 56px);
}

.reveal:not(.overview) .slides {
  width: unset !important;
  height: unset !important;
  inset: unset !important;
  transform: unset !important;
  position: relative !important;
  padding-bottom: 5px;
  aspect-ratio: 16/9;
  max-width: 100%;
  max-height: 100%;
}

.reveal .slides section,
.reveal .slides section section {
  top: 0 !important;
  width: 100%;
  height: 100%;
}

.reveal .slides section {
  padding: 5vh;
}

.reveal .slides section {
  text-align: left;
}

.reveal .slides section.full {
  padding: 0;
  text-align: center;
}

.reveal .slides img {
  margin: 0 !important;
  max-height: unset !important;
  max-width: unset !important;
}

.reveal .slides img.full {
  height: 100%;
  max-width: 100% !important;
}

.reveal .slides iframe {
  width: 100%;
  height: 100%;
  max-width: 100%;
  max-height: 100%;
}

.reveal h1,
.reveal h2,
.reveal h3,
.reveal h4,
.reveal h5,
.reveal h6 {
  margin: 0.5vh 0 2vh 0;
  color: #7b7b7b;
  font-family: Arial, serif;
  line-height: 0.9em;
  letter-spacing: 0.02em;
  text-transform: unset;
  text-shadow: none;
}

.reveal h1 {
  font-family: 'Press Start 2P', cursive;
  font-size: 3.5vh;
  color: black;
}

.reveal h2 {
  font-size: 3vh;
}

.reveal h1.center,
.reveal h2.center {
  text-align: center;
  top: 40%;
  position: relative;
  line-height: 4vh;
  font-size: 4vh;
  width: max-content;
}

.reveal h2.m-auto {
  margin: auto;
}

.reveal div.center {
  text-align: center;
  position: relative;
  top: 50%;
}

.reveal h1 small {
  color: #7b7b7b;
  line-height: 4vh;
}

.stylized {
  margin: 0 !important;
  text-align: center;
  font-size: 54vh;
  font-family: 'Shrikhand', cursive;
  text-shadow: 2px 0 #fff, -2px 0 #fff, 0 2px #fff, 0 -2px #fff,
  1px 1px #fff, -1px -1px #fff, 1px -1px #fff, -1px 1px #fff,
  4px 3px 10px #000;
  animation: funBlink;
  animation-iteration-count: infinite;
  animation-duration: 1s;
  animation-direction: alternate;
  position: absolute;
  width: 100%;
  height: 100%;
  top: 0;
  background: black;
  padding-top: 22vh;
}

.reveal h2.margin {
  margin-top: 7vh;
}

.img-group {
  position: relative;
  overflow: hidden;
}

.img-group img,
.img-group svg,
.img-group div {
  position: absolute;
}

.img-group p {
  position: absolute;
  margin: 0;
  font-family: Virgil, sans-serif;
}

.t-white {
  color: white;
}

.text-center {
  text-align: center;
}

.svg-stroke {
  fill: rgba(0, 0, 0, 0);
  stroke-width: 1.5vh;
  stroke: var(--stroke-color);
}

.moving {
  animation: moving-big;
  animation-iteration-count: infinite;
  animation-duration: 3s;
  animation-timing-function: linear;
}

.center-moving {
  animation: moving-center;
  animation-iteration-count: infinite;
  animation-duration: 1s;
  animation-timing-function: linear;
}

.moving-and-die {
  animation: moving-and-die;
  animation-iteration-count: infinite;
  animation-duration: 3s;
  animation-timing-function: linear;
}

.edge-moving {
  animation: edge-moving;
  animation-iteration-count: infinite;
  animation-duration: 3s;
  animation-timing-function: linear;
}

.moving-bullet {
  animation: bullet-kill;
  animation-iteration-count: infinite;
  animation-duration: 3s;
  animation-timing-function: linear;
}

.born-and-move-1 {
  animation: born-and-move-1;
  animation-iteration-count: infinite;
  animation-duration: 3s;
  animation-timing-function: linear;
}

.born-and-move-2 {
  animation: born-and-move-2;
  animation-iteration-count: infinite;
  animation-duration: 3s;
  animation-timing-function: linear;
}

.score-animate::after {
  content: "0";
  animation: increase-score;
  animation-iteration-count: infinite;
  animation-duration: 3s;
  animation-timing-function: linear;
}

.vie-animate::after {
  content: "3";
  animation: lower-health;
  animation-iteration-count: infinite;
  animation-duration: 3s;
  animation-timing-function: linear;
}

@keyframes funBlink {
  0% {
    color: dodgerblue;
  }
  50% {
    color: lawngreen
  }
  100% {
    color: mediumpurple;
  }
}

@keyframes moving-big {
  0% {
    top: 25%;
    left: 25%
  }
  50% {
    top: 25%;
    left: 48%
  }
  100% {
    top: 25%;
    left: 71%
  }
}

@keyframes moving-center {
  0% {
    top: 45%;
    left: 48%
  }
  100% {
    top: 25%;
    left: 48%
  }
}

@keyframes moving-and-die {
  0% {
    top: 45%;
    left: 48%
  }
  40% {
    top: 25%;
    left: 48%
  }
  41%, 100% {
    display: none;
    top: 25%;
    left: 48%
  }
}

@keyframes born-and-move-1 {
  0%, 40% {
    display: none;
    top: 25%;
    left: 50%
  }
  41% {
    top: 25%;
    left: 50%
  }
  100% {
    top: 60%;
    left: 60%
  }
}

@keyframes born-and-move-2 {
  0%, 40% {
    display: none;
    top: 25%;
    left: 50%
  }
  41% {
    top: 25%;
    left: 50%
  }
  100% {
    top: 15%;
    left: 60%
  }
}

@keyframes edge-moving {
  0% {
    top: -11%;
    left: -11%
  }
  100% {
    top: 105%;
    left: 40%
  }
}

@keyframes bullet-kill {
  0% {
    top: 25%;
    left: 25%
  }
  40% {
    top: 25%;
    left: 50%
  }
  41%,
  100% {
    display: none;
    top: 25%;
    left: 50%
  }
}

@keyframes increase-score {
  0% {
    content: '0'
  }
  80%, 100% {
    content: '10'
  }
}

@keyframes lower-health {
  0% {
    content: '3'
  }
  80%, 100% {
    content: '2'
  }
}
